## org.eclipse.datatools.sqltools.sqleditor.internal
Class EditorPreferenceInitializer

    java.lang.Object
      org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer
          org.eclipse.datatools.sqltools.sqleditor.internal.EditorPreferenceInitializer

    public class EditorPreferenceInitializer

extends org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer

Performs SQL Editor default preference value initialization.

Author:
  Hui Cao

Constructor Summary
`EditorPreferenceInitializer()`

Method Summary
`void` `initializeDefaultPreferences()` Initializes the preference controls to the default values.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditorPreferenceInitializer

    public EditorPreferenceInitializer()

Method Detail

### initializeDefaultPreferences

    public void initializeDefaultPreferences()

  Initializes the preference controls to the default values. These values are used the first time the preference page is displayed or when the user presses the Defaults button in the preferences page.

  Specified by:
    `initializeDefaultPreferences` in class `org.eclipse.core.runtime.preferences.AbstractPreferenceInitializer`